Bug 103673 - port net/nbd-server broken as of 2.8.6
Summary: port net/nbd-server broken as of 2.8.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-26 13:00 UTC by Heinrich Rebehn
Modified: 2006-11-08 02:20 UTC (History)
0 users

See Also:


Attachments
patch-1.diff (747 bytes, patch)
2006-10-23 09:47 UTC, Heinrich Rebehn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Heinrich Rebehn 2006-09-26 13:00:40 UTC
nbd-server can be started w/o problems on the freebsd server machine.
As soon as a Linux client tries to connect, nbd-server aborts the connection
with error "Read failed: Resource temporarily unavailable"
(server: antsrv1, client: bremerhaven):
Sep 26 13:46:55 bremerhaven kernel: nbd0: Receive control failed (result -32) 
Sep 26 13:46:55 bremerhaven kernel: nbd0: queue cleared 
Sep 26 13:46:57 bremerhaven nbd_client[20742]: Ioctl failed: Invalid argument  
Sep 26 13:52:04 antsrv1 nbd_server[12702]: Read failed: Resource temporarily unavailable
Sep 26 13:52:04 bremerhaven kernel: nbd0: Receive control failed (result -32) 
Sep 26 13:52:04 bremerhaven kernel: nbd0: shutting down socket 
Sep 26 13:52:04 bremerhaven kernel: nbd0: queue cleared

Fix: 

Downgrade to 2.8.5 :-)
How-To-Repeat: start server:
root@antsrv1 [~] # nbd-server 2000 /export/huge/linux/ubuntu-dapper.nbd
connect client:
root@bremerhaven [~] # nbd-client antsrv1 2000 /dev/nbd0
Negotiation: ..size = 10485760KB
bs=1024, sz=10485760
Kernel call returned: Broken pipeClosing: que, sock, done
Comment 1 Edwin Groothuis freebsd_committer 2006-09-26 13:01:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 xi 2006-09-26 13:27:30 UTC
Unfortunately I no longer have a setup to test this port and I don't
expect to get one again soon.

Unless another maintainer steps forward to take care of it, it should
probably be marked broken and deprecated.

-- 
Christian Laursen
Comment 3 Pav Lucistnik freebsd_committer 2006-10-07 12:53:12 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 4 xi 2006-10-19 15:50:38 UTC
This patch marks the port as broken and deprecated and sets the
expiration date.

diff -urN /usr/ports/net/nbd-server/Makefile nbd-server/Makefile
--- /usr/ports/net/nbd-server/Makefile	Mon Aug 28 18:37:30 2006
+++ nbd-server/Makefile	Thu Oct 19 16:45:41 2006
@@ -25,6 +25,10 @@
 PLIST_FILES=	bin/nbd-server
 MAN1=		nbd-server.1
 
+BROKEN=		Compiles but does not work
+DEPRECATED=	"${BROKEN}"
+EXPIRATION_DATE=2007-01-01
+
 post-extract:
 	@${CP} ${FILESDIR}/nbd.h ${WRKSRC}
 


-- 
Christian Laursen
Comment 5 Heinrich Rebehn 2006-10-23 09:47:39 UTC
Since version 2.8.5 is still working and there are no security issues 
with it, i would propose reverting back to 2.8.5 until i find time to 
look into the issues with 2.8.6.

The attached patch changes the Makefile to use 2.8.5.
As proposed by Christian Laursen, i changed maintainership to myself.
Also, we would need patch-nbd-server.c back from the Attic.

Regards,

Heinrich Rebehn

University of Bremen
Physics / Electrical and Electronics Engineering
- Department of Telecommunications -

Phone : +49/421/218-4664
Fax   :            -3341
Comment 6 Alejandro Pulver freebsd_committer 2006-11-06 00:03:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 7 dfilter service freebsd_committer 2006-11-08 02:19:50 UTC
alepulver    2006-11-08 02:19:44 UTC

  FreeBSD ports repository

  Modified files:
    net/nbd-server       Makefile distinfo 
  Added files:
    net/nbd-server/files patch-nbd-server.c 
  Log:
  - Downgrade to 2.8.5.
  - Bump PORTEPOCH.
  - Submitter takes maintainership.
  
  PR:             ports/103673
  Submitted by:   Heinrich Rebehn <rebehn@ant.uni-bremen.de>
  Approved by:    Christian Laursen <xi@borderworlds.dk> (maintainer)
  
  Revision  Changes    Path
  1.16      +4 -4      ports/net/nbd-server/Makefile
  1.13      +3 -3      ports/net/nbd-server/distinfo
  1.4       +18 -0     ports/net/nbd-server/files/patch-nbd-server.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Alejandro Pulver freebsd_committer 2006-11-08 02:19:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!